import React from 'react';
import 'bootstrap/dist/css/bootstrap.min.css';

const PageContent = ({ title, titleSize, content, contentSize, fontColor, buttons, margin, textAlign, buttonStyles }) => {
  const containerStyle = {
    margin: margin || 0,
    textAlign: textAlign || 'left'
  };
 
  return (
    <div className="container" style={containerStyle}>
      <h1 style={{ fontSize: titleSize, color: fontColor }}>{title}</h1>
      <p style={{ fontSize: contentSize, color: fontColor }}>{content}</p>
      <div>
        {buttons.map((button, index) => (
          <button key={index} className={`btn ${buttonStyles[index]} me-2`}>{button}</button>
        ))}
      </div>
    </div>
  );
};
 
export default PageContent;